/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-08-08
 * 描述            ：价格政策表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.PriceInformation.vo;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Slm.PriceInformation.mapper.SlmPricePolicyMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_PRICE_POLICY", namespace=SlmPricePolicyMapper.class)
public class SlmPricePolicy extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -7752252748591081307L;

	/** 
	 * 主键
	 */ 
	@Id
	private String policy_no;
	public String getPolicy_no() {
		return this.policy_no;
	}
	public void setPolicy_no(String policy_no) {
		this.policy_no = policy_no;
	}

	/** 
	 * 价格政策内容
	 */ 
	@Column
	private String policy_name;
	public String getPolicy_name() {
		return this.policy_name;
	}
	public void setPolicy_name(String policy_name) {
		this.policy_name = policy_name;
	}
	
	/** 
	 * 价格政策内容
	 */ 
	@Column
	private String policy_content;
	public String getPolicy_content() {
		return this.policy_content;
	}
	public void setPolicy_content(String policy_content) {
		this.policy_content = policy_content;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 状态
	 */ 
	@Column
	private String valid_flag;
	public String getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	/** 
	 * 评审状态
	 */ 
	@Column
	private String approval_flag;
	public String getApproval_flag() {
		return approval_flag;
	}
	public void setApproval_flag(String approval_flag) {
		this.approval_flag = approval_flag;
	}

	/**
	 * 评审意见
	 */
	@Column
	private String approval_opinion;
	public String getApproval_opinion() {
		return approval_opinion;
	}
	public void setApproval_opinion(String approval_opinion) {
		this.approval_opinion = approval_opinion;
	}

	/** 
	 * 创建人编号
	 */ 
	@Column
	private String create_man_no;
	public String getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	/** 
	 * 创建人姓名
	 */ 
	@Column
	private String create_man_name;
	public String getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人编号
	 */ 
	@Column
	private String update_man_no;
	public String getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	/** 
	 * 修改人姓名
	 */ 
	@Column
	private String update_man_name;
	public String getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人编号
	 */ 
	@Column
	private String delete_man_no;
	public String getDelete_man_no() {
		return this.delete_man_no;
	}
	public void setDelete_man_no(String delete_man_no) {
		this.delete_man_no = delete_man_no;
	}

	/** 
	 * 删除人姓名
	 */ 
	@Column
	private String delete_man_name;
	public String getDelete_man_name() {
		return this.delete_man_name;
	}
	public void setDelete_man_name(String delete_man_name) {
		this.delete_man_name = delete_man_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	
	/**
	 * 审核人编号
	 */
	@Column
	private String approval_man_no;
	
	/**
	 * 审核人
	 */
	@Column
	private String approval_man_name;
	
	/**
	 * 审核时间
	 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date approval_time;
	

	public String getApproval_man_no() {
		return approval_man_no;
	}
	public void setApproval_man_no(String approval_man_no) {
		this.approval_man_no = approval_man_no;
	}
	public String getApproval_man_name() {
		return approval_man_name;
	}
	public void setApproval_man_name(String approval_man_name) {
		this.approval_man_name = approval_man_name;
	}
	public Date getApproval_time() {
		return approval_time;
	}
	public void setApproval_time(Date approval_time) {
		this.approval_time = approval_time;
	}
	
	/**
	 * 提交人编号
	 */
	@Column
	private String submit_man_no;
	
	/**
	 * 提交人
	 */
	@Column
	private String submit_man_name;
	
	/**
	 * 提交时间
	 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date submit_time;

	/**
	 * 发布人编号
	 */
	@Column
	private String release_man_no;
	
	/**
	 * 发布人
	 */
	@Column
	private String release_man_name;
	
	/**
	 * 发布时间
	 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date release_time;
	
	public String getSubmit_man_no() {
		return submit_man_no;
	}
	public void setSubmit_man_no(String submit_man_no) {
		this.submit_man_no = submit_man_no;
	}
	public String getSubmit_man_name() {
		return submit_man_name;
	}
	public void setSubmit_man_name(String submit_man_name) {
		this.submit_man_name = submit_man_name;
	}
	public Date getSubmit_time() {
		return submit_time;
	}
	public void setSubmit_time(Date submit_time) {
		this.submit_time = submit_time;
	}
	public String getRelease_man_no() {
		return release_man_no;
	}
	public void setRelease_man_no(String release_man_no) {
		this.release_man_no = release_man_no;
	}
	public String getRelease_man_name() {
		return release_man_name;
	}
	public void setRelease_man_name(String release_man_name) {
		this.release_man_name = release_man_name;
	}
	public Date getRelease_time() {
		return release_time;
	}
	public void setRelease_time(Date release_time) {
		this.release_time = release_time;
	}

	private List<SlmPricePolicyAnnex> annex;
	public List<SlmPricePolicyAnnex> getAnnex() {
		return annex;
	}
	public void setAnnex(List<SlmPricePolicyAnnex> annex) {
		this.annex = annex;
	}
}
